# Interface ICefV8Accessor

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefV8Accessor = interface(ICefBaseRefCounted)`

## Description

Interface that should be implemented to handle V8 accessor calls. Accessor identifiers are registered by calling ICefV8value.SetValue(). The functions of this interface will be called on the thread associated with the V8 accessor.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_accessor_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefV8Accessor

## Overview

### Methods

| `function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean;`
| `function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean;`

## Description

### Methods

| `function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean;`
Handle retrieval the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. If retrieval succeeds set |retval| to the return value. If retrieval fails set |exception| to the exception that will be thrown. Return true (1) if accessor retrieval was handled. ###### Attributes GUID['{DCA6D4A2-726A-4E24-AA64-5E8C731D868A}']

| `function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean;`
Handle assignment of the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. |value| is the new value being assigned to the accessor. If assignment fails set |exception| to the exception that will be thrown. Return true (1) if accessor assignment was handled.

Generated by PasDoc 0.16.0-snapshot.